Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoAcceleratorMgr Class Reference
GoSdk

## Description

Represents an GoAcceleratorMgr instance.

Represents an GoAcceleratorMgr events passed into the acceleration update callback handler bound in by SDK client. Meaning of the events are:

- GO_ACCELERATOR_MGR_EVENT_ACCELERATING - Sensor acceleration is in progress.
- GO_ACCELERATOR_MGR_EVENT_ACCELERATED: - Sensor is accelerated successfully.
- GO_ACCELERATOR_MGR_EVENT_DECELERATING: - Sensor deceleration is in progress.
- GO_ACCELERATOR_MGR_EVENT_DECELERATED: - Sensor is no longer accelerated.
- GO_ACCELERATOR_MGR_EVENT_STOPPED: - Sensor acceleration stopped or failed to start.
- GO_ACCELERATOR_MGR_EVENT_DISCONNECTED: - Accelerated sensor is disconnected from network.
- GO_ACCELERATOR_MGR_EVENT_PROCESS_STOPPED: - Special case for the STOPPED event to indicate acceleration was in progress but terminated unexpectedly. This stop reason differs from other stop reasons, such as firmware mismatch etc.

Inheritance diagram for GoAcceleratorMgr:

## Public Member Functions
kStatus | GoAcceleratorMgr_Accelerate (GoAcceleratorMgr manager, k32u sensorId, GoAcceleratorMgrSensorParam *param)
| Accelerate the specified sensor with the given set of parameters. More...
kSize | GoAcceleratorMgr_AccelSensorCount (GoAcceleratorMgr manager)
| Get the number of sensors which the accelerator manager has been configured to accelerate. More...
kStatus | GoAcceleratorMgr_Construct (GoAcceleratorMgr *manager, kAlloc allocator)
| Constructs the accelerator manager object. More...
kStatus | GoAcceleratorMgr_Decelerate (GoAcceleratorMgr manager, k32u sensorId)
| Decelerate (unaccelerate) a sensor. More...
kStatus | GoAcceleratorMgr_GetPortRange (GoAcceleratorMgr manager, k16u *startPort, k16u *endPort)
| Get the range of port numbers to assign to accelerated sensors. More...
kStatus | GoAcceleratorMgr_GetPortRangeLimits (GoAcceleratorMgr manager, k16u *startLimit, k16u *endLimit, k16u *minNumPorts)
| Get the min and max values of the port range and the minimum number of ports within the port range. More...
kStatus | GoAcceleratorMgr_ListSensors (GoAcceleratorMgr manager, kArrayList sensorList)
| Get a list of accelerated sensors. More...
kStatus | GoAcceleratorMgr_SetAccelUpdateHandler (GoAcceleratorMgr manager, kCallbackFx function, kPointer context)
| Set up the update handler so that the SDK client can receive events from the Accelerator Manager about a sensor. More...
kStatus | GoAcceleratorMgr_SetPortRange (GoAcceleratorMgr manager, k16u startPort, k16u endPort)
| Set the range of port numbers used to communicate with the accelerated sensors. More...
kStatus | GoAcceleratorMgr_SetSystem (GoAcceleratorMgr manager, GoSystem system)
| Assigns the SDK GoSystem object to the accelerator manager object. More...
kStatus | GoAcceleratorMgr_Start (GoAcceleratorMgr manager)
| Starts the accelerator manager object after it has been configured. More...

The documentation for this class was generated from the following file:

- GoAcceleratorMgr.h